net.sf.jasperreports.engine

## Interface JRFrame

- All Superinterfaces:
    java.lang.Cloneable, JRBoxContainer, JRChild, JRCloneable, JRCommonElement, JRElement, JRElementGroup, JRIdentifiable, JRPropertiesHolder, JRStyleContainer, JRVisitable
  All Known Implementing Classes:
    JRBaseFrame, JRDesignFrame, JRFillFrame

      public interface JRFrame
      extends JRElement, JRElementGroup, JRBoxContainer

  An abstract representation of a report elements container.

  A frame is a report element that contains sub elements. It has a backgroud, a border and it stretches to accommodate its content. It is usually helpful when a common background and/or common border must be put around a group of elements.

  For the Graphics2D and PDF exporters, a frame is equivalent to a rectangle placed behind a group of elements. The HTML exporter creates sub-tables for frames and the XLS exporter includes the frame sub elements into the grid.

  For elements inside a frame, the coordinates, `positionType` and `stretchType` properties are relative to the frame instead of the band.

  Frames can be nested into one another to any depth.
  Version:
    $Id: JRFrame.java 7050 2014-04-25 11:09:07Z shertage $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Method Summary

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElement

      `clone, collectExpressions, getElementGroup, getKey, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertyExpressions, getStretchTypeValue, getX, getY, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setWidth, setX`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getHeight, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElementGroup

      `getChildren, getElementByKey, getElementGroup, getElements`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChild

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRVisitable

      `visit`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRBoxContainer

      `getDefaultLineColor, getLineBox`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com